plotEffects {nem} | R Documentation

## Plots data according to a phenotypic hierarchy

### Description

`plotEffects` visualizes the subset structure in the data by reordering rows and columns according to the topological order given by a phenotypic hierarchy.

### Usage

    plotEffects(D,nem,border=TRUE,legend=TRUE,order=NULL,orderSCC=TRUE,palette="BlueRed",...)

### Arguments

`D` | data matrix
`nem` | phenotypic hierarchy (object of class 'score' or 'pairwise')
`border` | draw red lines to indicate gene-specific effect reporters. Default: TRUE
`legend` | plot a legend. Default: TRUE
`order` | pre-define an order of the S-genes instead of the topological order to visualize the subset structure. Default: Use topological order.
`orderSCC` | Is the pre-defined order given on strongly connected components rather than on individual nodes?
`palette` | color palette to use: either 'BlueRed' (default) or 'Grey'
`...` | additional parameters for the graphics function 'image'

### Details

The experiments in the columns are reordered according to the topological order given by a phenotypic hierarchy. The effect reporters in the rows are grouped together by their position in the hierarchy. The groups are then arranged by topological order. Within each group the rows are hierarchically clustered.

### Value

ordering of the E-genes according to the hierarchy (vector of indices)

### Note

This function was formerly named `plot.effects`. This naming is not possible any more, since S3 classes were used for the function `plot.nem`.

### Author(s)

Florian Markowetz <URL: http://genomics.princeton.edu/~florian>, Holger Froehlich <URL: http:/www.dkfz.de/mga2/people/froehlich>

### Examples

       data("BoutrosRNAi2002")
       D <- BoutrosRNAiDiscrete[,9:16]
       res <- nem(D,control=set.default.parameters(unique(colnames(D)), para=c(.13,.05)))
       plotEffects(D,res)

[Package nem version 2.8.0 Index]